OGRE: Ogre::PCPlane Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::PCPlane Class Reference
Plugins » PCZSceneManager

Portal Culling Plane. More...

`#include <OgrePCPlane.h>`

Inheritance diagram for Ogre::PCPlane:
[legend]

## Public Member Functions
| PCPlane ()
| Standard constructor.
| PCPlane (const Plane &plane)
| Alternative constructor.
| PCPlane (const Vector3 &rkNormal, const Vector3 &rkPoint)
| Alternative constructor.
| PCPlane (const Vector3 &rkPoint0, const Vector3 &rkPoint1, const Vector3 &rkPoint2)
| Alternative constructor.
| ~PCPlane ()
| Standard destructor.
PortalBase * | getPortal ()
| Returns the Portal that was used to create this plane.
void | setFromOgrePlane (Plane &ogrePlane)
| Copy from an Ogre Plane.
void | setPortal (PortalBase *o)
| Sets the Portal that was used to create this plane.
Public Member Functions inherited from Ogre::Plane
| Plane ()
| Default constructor - sets everything to 0.
| Plane (const Vector3 &p0, const Vector3 &p1, const Vector3 &p2)
| Plane (const Vector3 &rkNormal, const Vector3 &rkPoint)
| Plane (const Vector3 &rkNormal, Real fConstant)
| Construct a plane through a normal, and a distance to move the plane along the normal.
| Plane (const Vector4 &v)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
| Plane (Real a, Real b, Real c, Real _d)
| Construct a plane using the 4 constants directly.
Real | getDistance (const Vector3 &rkPoint) const
| This is a pseudodistance.
Side | getSide (const AxisAlignedBox &box) const
| Returns the side where the alignedBox is.
Side | getSide (const Vector3 &centre, const Vector3 &halfSize) const
| Returns which side of the plane that the given box lies on.
Side | getSide (const Vector3 &rkPoint) const
Real | normalise (void)
| Normalises the plane.
bool | operator!= (const Plane &rhs) const
Plane | operator- () const
| Get flipped plane, with same location but reverted orientation.
bool | operator== (const Plane &rhs) const
| Comparison operator.
Vector3 | projectVector (const Vector3 &v) const
| Project a vector onto the plane.
void | redefine (const Vector3 &p0, const Vector3 &p1, const Vector3 &p2)
| Redefine this plane based on 3 points.
void | redefine (const Vector3 &rkNormal, const Vector3 &rkPoint)
| Redefine this plane based on a normal and a point.

## Additional Inherited Members
Public Types inherited from Ogre::Plane
enum | Side { NO_SIDE , POSITIVE_SIDE , NEGATIVE_SIDE , BOTH_SIDE }
| The "positive side" of the plane is the half space to which the plane normal points. More...
Public Attributes inherited from Ogre::Plane
Real | d
Vector3 | normal

## Detailed Description

Portal Culling Plane.

Specialized Plane that is customized for working with the PCZSceneManager. Each Plane has a pointer to the Portal which was used to create it Portal Culling Planes are created from one side of a portal and the origin of a camera.

## Constructor & Destructor Documentation

## ◆ PCPlane() [1/4]

Ogre::PCPlane::PCPlane | ( |  | ) |

Standard constructor.

## ◆ PCPlane() [2/4]

Ogre::PCPlane::PCPlane | ( | const Plane & | plane | ) |

Alternative constructor.

References Ogre::Plane::Plane().

## ◆ PCPlane() [3/4]

Ogre::PCPlane::PCPlane | ( | const Vector3 & | rkNormal,
|  | const Vector3 & | rkPoint )

Alternative constructor.

## ◆ PCPlane() [4/4]

Ogre::PCPlane::PCPlane | ( | const Vector3 & | rkPoint0,
|  | const Vector3 & | rkPoint1,
|  | const Vector3 & | rkPoint2 )

Alternative constructor.

## ◆ ~PCPlane()

Ogre::PCPlane::~PCPlane | ( |  | ) |

Standard destructor.

## Member Function Documentation

## ◆ setFromOgrePlane()

void Ogre::PCPlane::setFromOgrePlane | ( | Plane & | ogrePlane | ) |

Copy from an Ogre Plane.

References Ogre::Plane::Plane().

## ◆ getPortal()

PortalBase * Ogre::PCPlane::getPortal | ( |  | ) |
| inline

Returns the Portal that was used to create this plane.

## ◆ setPortal()

void Ogre::PCPlane::setPortal | ( | PortalBase * | o | ) |
| inline

Sets the Portal that was used to create this plane.

The documentation for this class was generated from the following file:

- OgrePCPlane.h